curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/volumes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"size_gb": 2147483647,
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disk_type": "ssd",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'Update the metadata of a storage volume, including name and description. To change the volume size, use the resize endpoint.
curl --request PUT \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/compute/volumes/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"size_gb": 2147483647,
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"disk_type": "ssd",
"instance_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
Unique identifier of the storage volume.
Unique identifier of the organization that owns the resource.
Unique identifier of the project containing the resource.
Volume name
255Volume size in GB
0 <= x <= 4294967295Disk type (ssd, nvme)
ssd - SSDnvme - NVMeunknown - Unknownssd, nvme, unknown Volume updated successfully